Devices
Get Devices
Returns one or more devices user has access to.
Some fields are applicable only to devices with specific capabilities.
Results can be filtered using the query parameters specified below.
Returns 200 with empty devices list and a total of 0 when no devices found.
query Parameters
limitThe number of items to return, default is 100 and maximum is 1000.
offsetThe number of items to skip before starting to collect the result set.
selectA comma separated list of fields to include in the response, in dot notation. Returns the full response when not specified.
statusThe status of the device.
probe.agentAgent probe status.
probe.deviceSourceManagement Server probe status.
probe.edgeEdge probe status.
probe.hostHost probe status.
probe.appApp probe status.
isFirmwareVulnerableIs the firmware version vulnerable.
isFirmwareLatestIs the current firmware version is the latest available.
isFirmwareUpgradeAvailableIs there a newer firmware version available.
lifeCycleStatusEnd of support status.
onboardedAfterFilter devices onboarded after the specified date, in ISO 8601 format.
onboardedBeforeFilter devices onboarded before the specified date, in ISO 8601 format.
maintenanceModeFilter devices by maintenance mode.
hardenedAfterFilter devices last hardened after the specified date, in ISO 8601 format.
hardenedBeforeFilter devices last hardened before the specified date, in ISO 8601 format.
recordingStatusFilter devices by recording status.
storageServerFilter devices by storage server.
patchedFirmwareVersionFilter devices by available firmware patch version.
vulnerabilitySeverityLevelFilter devices by the highest CVE severity level found on the device.
suggestedFirmwareVersionFilter devices by the latest firmware version recommended or officially supported by the management platform.
replacementModelFilter devices by the latest replacement model suggested by the vendor.
passwordExpiryStatusFilter devices by password expiry status.
passwordExpiryAfterFilter devices by password expiry date after the specified date, in ISO 8601 format.
passwordExpiryBeforeFilter devices by password expiry date before the specified date, in ISO 8601 format.
sslExpiryStatusFilter devices by SSL certificate expiry status.
sslExpiryAfterFilter devices by SSL certificate expiry date after the specified date, in ISO 8601 format.
sslExpiryBeforeFilter devices by SSL certificate expiry date before the specified date, in ISO 8601 format.
sslLastRotatedAfterFilter devices by the last SSL certificate rotation through SecuriThings after the specified date, in ISO 8601 format.
sslLastRotatedBeforeFilter devices by the last SSL certificate rotation through SecuriThings before the specified date, in ISO 8601 format.
sslComplianceStatusFilter devices by SSL compliance status.
certificate8021xExpiryStatusFilter devices by 802.1X certificate expiry status.
certificate8021xExpiryAfterFilter devices by 802.1X certificate expiry date after the specified date, in ISO 8601 format.
certificate8021xExpiryBeforeFilter devices by 802.1X certificate expiry date before the specified date, in ISO 8601 format.
isOrphanedFilter devices by whether they no longer exist in the management platform.
firmwareVersionFilter devices by firmware version.
deviceSources.idFilter devices by device source.
lastSeenAfterFilter devices last seen after the specified date, in ISO 8601 format.
lastSeenBeforeFilter devices last seen before the specified date, in ISO 8601 format.
lifeCycleDateAfterFilter devices with a lifecycle status determination date after the specified date, in ISO 8601 format.
lifeCycleDateBeforeFilter devices with a lifecycle status determination date before the specified date, in ISO 8601 format.
availableTask.hardenDeviceFilter devices by whether they support device hardening.
availableTask.restartDeviceFilter devices by whether they support restart.
availableTask.rotate8021xCertificateFilter devices by whether they support 802.1x certificate rotation.
availableTask.rotatePasswordFilter devices by whether they support password rotation.
availableTask.rotateSslCertificateFilter devices by whether they support SSL certificate rotation.
availableTask.upgradeFirmwareFilter devices by whether they support firmware upgrade.
Get Devices › Responses
A list of device objects.
A list of device objects.
totalThe total number of devices matching the query.
Get Device By ID
Returns basic information about a specific device in the system.
Returns 404 if the device is not found or the user does not have access to the device.
path Parameters
idThe device id
Get Device By ID › Responses
Single device information
idThe unique identifier of the device, generated by SecuriThings and will identify the device in the system.
nameThe name field represents the user-assigned device name as displayed in the management system.
vendorThe manufacturer of the device.
modelThe model of the device.
firmwareVersionthe current firmware version that the device is running.
deviceTypeThe type of device, such as camera, access control panel, intercom, or other classifications.
Nested object providing compliance-related details.
Nested object providing network-related details.
statusThe current operational status of the device (e.g., "online" or "offline").
lastSeenThe last known active time of the device in ISO 8601 format.
The status of each probe available.
Specifies the discovery source and the integration methods for the device.
Specifies the site or geolocation associated with the device, indicating the physical or logical location to which it is connected.
onboardingDateThe date and time the device was onboarded, in ISO 8601 format.
maintenanceModeWhether the device is in maintenance mode.
recordingStatusThe recording status of the device.
storageServerThe storage server the device is associated with.
isOrphanedWhether the device no longer exists in the management platform.
Get Device Vulnerabilities By ID
Retrieves a detailed list of vulnerabilities associated with a specific device. This endpoint allows clients to query vulnerabilities by providing the unique device identifier, enabling visibility into potential security risks affecting the device.
Returns 404 if the device is not found or the user does not have access to the device.
path Parameters
idThe device id
Get Device Vulnerabilities By ID › Responses
Single device vulnerabilities
cveIdThe cveId field represents CVE identifier (if available).
descriptionThe description field provides a detailed description of the vulnerability.
reportDateThe reportDate field indicates the date when the vulnerability was reported.
severityThe severity field indicates the severity of the vulnerability.
reportLinkThe reportLink field provides a link to the vulnerability report.
Get Device Passwords Metadata By ID
Returns password metadata for all users associated with a specific device. The actual password values are not included in the response.
Returns 404 if the device is not found or the user does not have access to the device.
path Parameters
idThe device id
Get Device Passwords Metadata By ID › Responses
Device passwords metadata
Get Device Certificates By ID
Returns certificate data for all supported certificate types associated with a specific device.
Returns 404 if the device is not found or the user does not have access to the device.
path Parameters
idThe device id
Get Device Certificates By ID › Responses
Device certificates
totalThe total number of certificates matching the query.
Get Device Target Firmware by ID
Returns the approved target firmware versions for a specific device.
path Parameters
idThe device id
Get Device Target Firmware by ID › Responses
The approved firmware upgrade targets for this device.
targetFirmwareThe approved target firmware versions for this device.
totalThe number of approved target firmware versions.
